Subject: Re: bug#14528: remake-configure-dependencies test fails on fast systems without subsecond timestamps
From: Stefano Lattarini <[email-masked]>
To: Colin Watson <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 Jun 2013 15:17:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 06/03/2013 12:47 PM, Colin Watson wrote:
> On Mon, Jun 03, 2013 at 11:29:08AM +0200, Stefano Lattarini wrote:
>> You are perfectly right.  I thought the sleeps implicit in configure
>> invocations were enough to avoid this kind of issues, but after a more
>> careful consideration I realized I was mistaken (see commit message in
>> the patch below for an extended rationale).
>>
>> Can you confirm the patch works for you?
> 
> Before this patch, I got 32 passes from 100 runs; after this patch, I
> get 100 passes from 100 runs.  So it looks good to me.
> 
Thanks for confirming.  I'm closing the bug report then, and I'll push
the fix shortly (so that it will appear in Automake 1.13.3, that should
be released this evening or tomorrow).

Regards,
  Stefano